#2366 closed enhancement (wontfix)

Create a Public API for the Atomic Operations

Reported by: Joel Sherrill Owned by:
Priority: normal Milestone: 5.1
Component: score Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Ticket #2364 regarded use of a pthread mutex in three graphics driver as basically an atomic flag to ensure only one open() was active at a time. This created an unnecessary dependency on the POSIX API being enabled. I changed the code to use score Atomic flags.

This highlighted the need for a public Atomic API.

The existing tests could be converted to the public API, a macro wrapper written for Classic API Atomics, and documentation added. This may be enough to be a small GSOC project.

Change History (4)

comment:1 Changed on Jan 23, 2017 at 6:46:39 AM by Sebastian Huber

Why not simply use C11/C++11 atomic operations?

comment:2 Changed on Aug 14, 2017 at 12:06:50 AM by Chris Johns

Milestone: 5.04.12.0
Version: 4.114.12

Should the API in 'sys/locks.h' be used?

comment:3 Changed on Aug 24, 2017 at 7:23:30 AM by Sebastian Huber

Resolution: wontfix
Status: newclosed

Since C11 or C++11 is now the default in GCC users can simply use the standard atomic operations.

comment:4 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.